Bug 541703 - enable FreeBSD ufs2 write support in kernel
enable FreeBSD ufs2 write support in kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 14:14 EST by Praveen Arimbrathodiyil
Modified: 2013-06-17 00:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-07 19:27:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Praveen Arimbrathodiyil 2009-11-26 14:14:01 EST
Description of problem:

ufs2 write support is disabled in current kernel configuration, so ufs2 partitions are not writable. 

CONFIG_UFS_FS=m
# CONFIG_UFS_FS_WRITE is not set

Now with gentoo and debian (next stable release of debian will have freebsd port) starting to ship FreeBSD kernels, number of systems with FreeBSD and GNU/Linux dual boot or FreeBSD virtual instance is going to increase. It would be important to share files between the two operating systems and FreeBSD write support is available only for ext2, hence ufs2 would be an ideal choice for sharing data between the two operating systems.

I came across this issue when trying to mount a ufs2 partition inside a vritual guest with guestfish.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. mount a ufs2 partition
2.
3.
  
Actual results:

write support is not enabled in kernel

Expected results:

able to read and write from ufs filesystems after loading ufs kernel modules.

Additional info:

https://bugzilla.redhat.com/show_bug.cgi?id=541618
Comment 1 Praveen Arimbrathodiyil 2009-11-27 11:39:37 EST
ufs write support is not working even after rebuilding the kernel with write support enabled (CONFIG_UFS_FS_WRITE=y), though mount stopped complaining.

Ref https://bugzilla.redhat.com/show_bug.cgi?id=541618#c12 (error message and modified source rpm links)

probably this bug should go upstream (?)
Comment 2 Bug Zapper 2010-11-04 01:14:07 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 21:44:08 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Richard W.M. Jones 2010-12-04 03:46:01 EST
Still a bug in Rawhide.  Whether it is possible to fix this
or not is another matter, since "UFS" seems to be a rather
ill-defined format and writing when you're not really sure
what the format is could be dangerous.
Comment 5 Josh Boyer 2011-11-07 19:27:12 EST
I'm closing this as WONTFIX for now.  It's been sitting around for quite a while, and there have been no significant commits to UFS in terms of write support since 2007 or 2008.

Work on this should be done upstream and we can either reopen this bug when it's usable, or create a new one.

Note You need to log in before you can comment on or make changes to this bug.